Jump to content
Enpass Discussion Forum

UNOFFICIAL AppImage package


Recommended Posts

Inspired by the below discussion, I decided to pack up Enpass 6 into a AppImage for those who don't want to have to do all the work to get it on an unsupported distro like Gentoo, Void, etc. Just download it, mark it executable, and run it. I have yet to FULLY test it, but so far it works for me. I expect that auto-start on boot/log-in won't work yet, though. If there's enough interest in this, and Sinew isn't against it ( or better yet, hires me to maintain it officially ;) ), I'll do more thorough testing and get auto-start working.

 

DISCLAIMER and DISCLOSURE: This is an UNOFFICIAL package of Enpass 6 that I made for my self, and am releasing in hopes that others will find it useful. If Sinew asks me to, I will cease distribution. I have NO AFFILIATION with Sinew other than as one of their customers. Sinew is well within their rights to decline to support you while you use my package. You will still be bound by the same agreements and contracts with Sinew as if you were to use their official packages. I offer NO WARRANTY OR GUARANTEE, explicit or implied, in regards to this package; USE AT YOUR OWN RISK.

Download Enpass-6.2.0.537-1-x86_64.AppImage
SHA256 Checksum: 9fbec3d581c94d81ded05ad2ade8d58d56198f6bfbc28ada8f0043b7ae5e18c4

Edited by Eriya
Updated AppImage release
  • Thanks 2
Link to post
Share on other sites
  • 4 weeks later...

Hi Eriya,

 

I appreciate you sharing that appimage. However, I did not have luck with it. I am running PCLinuxOS. Below is the terminal output. Any advice would be greatly appreciated.

 

[mark@localhost opt]$ ./Enpass*
QQmlApplicationEngine failed to load component
qrc:/qml/Enpass.qml:23 Type ApplicationWindow unavailable
file:///usr/lib64/qt5/qml/QtQuick/Controls.2/Fusion/qmldir:-1 module "QtQuick.Controls.Fusion" plugin "qtquickcontrols2fusionstyleplugin" not found

Segmentation fault

 

Link to post
Share on other sites
  • 2 months later...

Hi Eriya,

Thanks for making and sharing the AppImage, I have downloaded it for testing and have the following observations:

1. Running from the terminal the following error message is generate four times: QQmlComponent: Created graphical object was not placed in the graphics scene.  That said the programme opens without issue and appears, in the main, to be working correctly.

I am running vanilla installation of Canonical's Xubuntu 18.04.01.

2. The sync icon shows as being disconnected (see picture), but syncing actually works correctly.

All in all a brilliant addition to the Enpass family, lets hope you can continue developing it.

 

Selection_143.jpg

Link to post
Share on other sites
  • 5 months later...

Hey guys! Thanks for your interest! Sorry I took so long to get back to you all. I hadn't seen any evidence of interest for the few several weeks after making this thread, and then I totally forgot about it. I finally remembered it while I was looking at my Nextcloud shares. lol. Now I see there have been many downloads since then. I'll gladly keep working on this until Sinew decides to make an official one. My time is a little limited these days, but I'll do my best to get it up-to-date and keep it there.

Link to post
Share on other sites
On 1/29/2019 at 11:48 AM, euphonious said:

Hi Eriya,

 

I appreciate you sharing that appimage. However, I did not have luck with it. I am running PCLinuxOS. Below is the terminal output. Any advice would be greatly appreciated.

 

[mark@localhost opt]$ ./Enpass*
QQmlApplicationEngine failed to load component
qrc:/qml/Enpass.qml:23 Type ApplicationWindow unavailable
file:///usr/lib64/qt5/qml/QtQuick/Controls.2/Fusion/qmldir:-1 module "QtQuick.Controls.Fusion" plugin "qtquickcontrols2fusionstyleplugin" not found

Segmentation fault

 

Sorry about the delay in answering you. Please see my previous post.

At first glance, this looks like you're missing some or all Qt libraries. The specific one listed in your output is QtQuick. As I work more on this project, I'll try to get those libraries built-in to the AppImage. I'll try to have a version with QtQuick built-in out by the end of this weekend. In the mean time, if you like, you can try making sure that you have the Qt libraries installed, particularly QtQuick. Thank you!

Link to post
Share on other sites
On 4/29/2019 at 2:17 PM, Dentonthebear said:

Hi Eriya,

Thanks for making and sharing the AppImage, I have downloaded it for testing and have the following observations:

1. Running from the terminal the following error message is generate four times: QQmlComponent: Created graphical object was not placed in the graphics scene.  That said the programme opens without issue and appears, in the main, to be working correctly.

I am running vanilla installation of Canonical's Xubuntu 18.04.01.

2. The sync icon shows as being disconnected (see picture), but syncing actually works correctly.

All in all a brilliant addition to the Enpass family, lets hope you can continue developing it.

 

Selection_143.jpg

Hrm. Interesting. As the version I currently have packed is pretty old, let me get the new version out, then lets see what happens.

Link to post
Share on other sites

I've just released a new version of the AppImage. I did not get QtQuick built into it yet, as I just wanted to get Enpass v6.2.0.537 packed up with an up-to-date AppImageKit. I'm also looking into options for an issue tracker and something maybe like Apache Maven, but better suited to this kind of project. I'm open to suggestions.

Please see the top post for the updated AppImage.

  • Like 1
Link to post
Share on other sites
  • 3 months later...

Hi. Tks for your work, trying to help people like me, that uses other distros rather then officialy supported by Sinew. I downloaded appimage but I could just open the vault usina a backup, ie, I am unable to synchronize with any cloud storage like Google Drive. I get the following error message:

Was not able to find an app for enpasssauth://googledrive/?scope=https...........

I understand that this happens because, since Enpass is not installed, the os can't associate the link to any app. How can I ocercome this situation?

Thank you in advance!

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...